<?php
/**
 * Pobiera i tworzy plik wp-config.php.
 *
 * Uprawnienia dostępu do głównego katalogu WordPressa muszą pozwalać na
 * zapisywanie do plików, aby możliwe było utworzenie pliku
 * wp-config.php za pomocą tej strony.
 *
 * @package WordPress
 * @subpackage Administration
 */

/**
 * Instalujemy.
 *
 * @package WordPress
 */
define('WP_INSTALLING', true);

/**
 * Disable error reporting
 *
 * Set this to error_reporting( E_ALL ) or error_reporting( E_ALL | E_STRICT ) f
or debugging
 */
error_reporting(0);

/**#@+
 * Poniższe trzy definicje są konieczne, abyśmy mogli użyć require_wp_db() do
 * wczytania klasy bazy danych, zważając na zawartość pliku wp-content/db.php.
 * @ignore
 */
define('ABSPATH', dirname(dirname(__FILE__)).'/');
define('WPINC', 'wp-includes');
define('WP_CONTENT_DIR', ABSPATH . 'wp-content');
/**#@-*/

require_once(ABSPATH . WPINC . '/compat.php');
require_once(ABSPATH . WPINC . '/functions.php');
require_once(ABSPATH . WPINC . '/classes.php');

if (!file_exists(ABSPATH . 'wp-config-sample.php'))
	wp_die('Przepraszam, potrzebuję pliku wp-config-sample.php, aby się na nim wzorować. Proszę wysłać ten plik na serwer z paczki z plikami WordPressa ponownie.');

$configFile = file(ABSPATH . 'wp-config-sample.php');

// Sprawdź, czy plik wp-config.php został utworzony
if (file_exists(ABSPATH . 'wp-config.php'))
	wp_die("<p>Plik 'wp-config.php' już istnieje. Jeżeli musisz zmienić jakikolwiek z elementów konfiguracji zawartych w tym pliku, prosimy o jego uprzednie usunięcie. Możesz spróbować <a href='install.php'>przeprowadzić instalację</a>.</p>");

// Sprawdź, czy plik wp-config.php znajduje się w katalogu nadrzędnym katalogu głównego WordPressa, ale nie jest częścią innej instalacji
if (file_exists(ABSPATH . '../wp-config.php') && ! file_exists(ABSPATH . '../wp-settings.php'))
	wp_die("<p>Plik 'wp-config.php' istnieje już w katalogu nadrzędnym katalogu Twojej instalacji WordPressa. Jezeli musisz zmienić jakikolwiek z elementów konfiguracji zawartych w tym pliku, prosimy o jego uprzednie usunięcie. Możesz spróbować <a href='install.php'>przeprowadzić instalację</a>.</p>");

if ( version_compare( '4.3', phpversion(), '>' ) )
	wp_die( sprintf( /*WP_I18N_OLD_PHP*/'Twój serwer korzysta z PHP w wersji %s, lecz WordPress wymaga co najmniej wersji 4.3.'/*/WP_I18N_OLD_PHP*/, phpversion() ) );

if ( !extension_loaded('mysql') && !file_exists(ABSPATH . 'wp-content/db.php') )
	wp_die( /*WP_I18N_OLD_MYSQL*/'Twoja konfiguracja PHP nie posiada włączonej obsługi rozszerzenia MySQL, która jest wymagana przez WordPressa.'/*/WP_I18N_OLD_MYSQL*/ );

if (isset($_GET['step']))
	$step = $_GET['step'];
else
	$step = 0;

/**
 * Wyświetl nagłówek instalatora pliku wp-config.php.
 *
 * @ignore
 * @since 2.3.0
 * @package WordPress
 * @subpackage Installer_WP_Config
 */
function display_header() {
	header( 'Content-Type: text/html; charset=utf-8' );
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>WordPress &rsaquo; Tworzenie pliku konfiguracji</title>
<link rel="stylesheet" href="css/install.css" type="text/css" />

</head>
<body>
<h1 id="logo"><img alt="WordPress" src="images/wordpress-logo.png" /></h1>
<?php
}//koniec funkcji display_header();

switch($step) {
	case 0:
		display_header();
?>

<p>Witaj w WordPressie. Przed rozpoczęciem potrzebujemy pewnych informacji dotyczących Twojej bazy danych. Przed przejściem dalej, musisz zdobyć następujące informacje:</p>
<ol>
	<li>Nazwę bazy danych</li>
	<li>Nazwę użytkownika bazy danych</li>
	<li>Hasło do bazy danych</li>
	<li>Adres serwera bazy danych</li>
	<li>Prefiks tabel (jeżeli chcesz posiadać więcej niż jedną instalację WordPressa w tej samej bazie danych) </li>
</ol>
<p><strong>Jeśli z jakiegoś powodu automatyczne tworzenie pliku nie zadziała, nie martw się. Jedynym, czego ten skrypt dokonuje, jest zapis ustawień bazy danych do pliku konfiguracji. Możesz również po prostu otworzyć plik <code>wp-config-sample.php</code> w edytorze tekstowym, wypełnić go wymaganymi informacjami i zapisać go jako <code>wp-config.php</code>. </strong></p>
<p>Najprawdopodobniej dane te zostały Ci dostarczone przez administratora Twojego serwera WWW. Jeśli nie posiadasz tych informacji, zdobądź je, aby móc kontynuować. Jeżeli wszystko jest przygotowane&hellip;</p>

<p class="step"><a href="setup-config.php?step=1" class="button">Zaczynajmy!</a></p>
<?php
	break;

	case 1:
		display_header();
	?>
<form method="post" action="setup-config.php?step=2">
	<p>Wprowadź dane wymagane do połączenia się z bazą danych poniżej. Jeżeli nie masz co do nich pewności, skontaktuj się z administratorem swojego serwera. </p>
	<table class="form-table">
		<tr>
			<th scope="row"><label for="dbname">Nazwa bazy danych</label></th>
			<td><input name="dbname" id="dbname" type="text" size="25" value="wordpress" /></td>
			<td>Nazwa bazy danych, w której WP ma zostać zainstalowany. </td>
		</tr>
		<tr>
			<th scope="row"><label for="uname">Nazwa użytkownika</label></th>
			<td><input name="uname" id="uname" type="text" size="25" value="username" /></td>
			<td>Nazwa użytkownika bazy danych MySQL</td>
		</tr>
		<tr>
			<th scope="row"><label for="pwd">Hasło</label></th>
			<td><input name="pwd" id="pwd" type="text" size="25" value="password" /></td>
			<td>... i jego hasło.</td>
		</tr>
		<tr>
			<th scope="row"><label for="dbhost">Adres serwera bazy</label></th>
			<td><input name="dbhost" id="dbhost" type="text" size="25" value="localhost" /></td>
			<td>Na 99% zmiana tej wartości nie będzie potrzebna.</td>
		</tr>
		<tr>
			<th scope="row"><label for="prefix">Prefiks tabel</label></th>
			<td><input name="prefix" id="prefix" type="text" id="prefix" value="wp_" size="25" /></td>
			<td>Jeżeli chcesz posiadać więcej niż jedną instalację WordPressa w tej samej bazie danych, zmień tę wartość.</td>
		</tr>
	</table>
	<p class="step"><input name="submit" type="submit" value="Zatwierdź" class="button" /></p>
</form>
<?php
	break;

	case 2:
	$dbname  = trim($_POST['dbname']);
	$uname   = trim($_POST['uname']);
	$passwrd = trim($_POST['pwd']);
	$dbhost  = trim($_POST['dbhost']);
	$prefix  = trim($_POST['prefix']);
	if (empty($prefix)) $prefix = 'wp_';

	// Przetestuj połączenie z bazą danych.
	/**#@+
	 * @ignore
	 */
	define('DB_NAME', $dbname);
	define('DB_USER', $uname);
	define('DB_PASSWORD', $passwrd);
	define('DB_HOST', $dbhost);
	/**#@-*/

	// W tym miejscu wystąpi błąd, jeśli wprowadzone dane są nieprawidłowe.
	require_wp_db();
	if ( !empty($wpdb->error) )
		wp_die($wpdb->error->get_error_message());

	foreach ($configFile as $line_num => $line) {
		switch (substr($line,0,16)) {
			case "define('DB_NAME'":
				$configFile[$line_num] = str_replace("nazwatwojejbazydanych", $dbname, $line);
				break;
			case "define('DB_USER'":
				$configFile[$line_num] = str_replace("'nazwauzytkownika'", "'$uname'", $line);
				break;
			case "define('DB_PASSW":
				$configFile[$line_num] = str_replace("'tutajtwojehaslo'", "'$passwrd'", $line);
				break;
			case "define('DB_HOST'":
				$configFile[$line_num] = str_replace("localhost", $dbhost, $line);
				break;
			case '$table_prefix  =':
				$configFile[$line_num] = str_replace('wp_', $prefix, $line);
				break;
		}
	}
	if ( ! is_writable(ABSPATH) ) :
		display_header();
?>
<p>Sorry, but I can't write the <code>wp-config.php</code> file.</p>
<p>You can create the <code>wp-config.php</code> manually and paste the following text into it.</p>
<textarea cols="90" rows="15"><?php
		foreach( $configFile as $line ) {
			echo htmlentities($line);
		}
?></textarea>
<p>After you've done that, click "Run the install."</p>
<p class="step"><a href="install.php" class="button">Run the install</a></p>
<?php
	else :
		$handle = fopen(ABSPATH . 'wp-config.php', 'w');
		foreach( $configFile as $line ) {
			fwrite($handle, $line);
		}
		fclose($handle);
		chmod(ABSPATH . 'wp-config.php', 0666);
		display_header();
?>
<p>W porządku, złotko! Udało Ci się przebrnąć przez tę część instalacji. WordPress może teraz połączyć się z Twoją bazą danych. Jeżeli wszystko jest gotowe, czas na&hellip;</p>

<p class="step"><a href="install.php" class="button">Uruchomienie instalacji</a></p>
<?php
	endif;
	break;
}
?>
</body>
</html>
